Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Class DiagramEditorWithFlyOutPalette.CustomPalettePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.gef.ui.views.palette.PaletteViewerPage
              org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette.CustomPalettePage

All Implemented Interfaces:
  IAdaptable, IPage, IPageBookViewPage, PalettePage

Enclosing class:
  DiagramEditorWithFlyOutPalette

protected class DiagramEditorWithFlyOutPalette.CustomPalettePage
extends PaletteViewerPage

CustomPalettePage that helps with the switching of the palette from the diagram to the palette view.

Field Summary

Fields inherited from class org.eclipse.gef.ui.views.palette.PaletteViewerPage
`provider, viewer`

Constructor Summary
`DiagramEditorWithFlyOutPalette.CustomPalettePage(PaletteViewerProvider provider)` constructor

Method Summary
`void` `createControl(Composite parent)`
`void` `dispose()`
`PaletteViewer` `getPaletteViewer()` gets the palette viewer

Methods inherited from class org.eclipse.gef.ui.views.palette.PaletteViewerPage
`getAdapter, getControl, setFocus`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage
`getSite, init`

Methods inherited from interface org.eclipse.ui.part.IPage
`setActionBars`

Constructor Detail

### DiagramEditorWithFlyOutPalette.CustomPalettePage

    public DiagramEditorWithFlyOutPalette.CustomPalettePage(PaletteViewerProvider provider)

  constructor

Parameters:
  `provider` -

Method Detail

### createControl

    public void createControl(Composite parent)

### dispose

    public void dispose()

### getPaletteViewer

    public PaletteViewer getPaletteViewer()

  gets the palette viewer

  Returns:
    `PaletteViewer`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.